port lots of init scripts over to rc.common (more to come)
[packages.git] / net / p910nd / files / p910nd.init
index 1a6c4f4..05c675a 100644 (file)
@@ -1,47 +1,33 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
 
 DEFAULT=/etc/default/p910nd
 RUN_D=/var/run
 
-_start() {
- mkdir -p $RUN_D
- [ -f $DEFAULT ] && (
-  while read port options; do
-   case "$port" in
-    ""|\#*)
-     continue;
-   esac
-   p910nd $options $port
-   if [ $? -ne 0 ]; then
-    exit 1
-   fi
-  done
- ) < $DEFAULT
- exit 0
+start() {
+       mkdir -p $RUN_D
+       [ -f $DEFAULT ] && (
+               while read port options; do
+                       case "$port" in
+                               ""|\#*) continue;;
+                       esac
+                       p910nd $options $port
+                       if [ $? -ne 0 ]; then
+                               exit 1
+                       fi
+               done
+       ) < $DEFAULT
 }
 
-_stop() {
- [ -f $DEFAULT ] && (
-  while read port options; do
-   case "$port" in
-    ""|\#*)
-     continue;
-   esac
-   PID_F=$RUN_D/p910${port}d.pid
-   [ -f $PID_F ] && kill $(cat $PID_F)
-  done
- ) < $DEFAULT
+stop() {
+       [ -f $DEFAULT ] && (
+               while read port options; do
+                       case "$port" in
+                               ""|\#*) continue;l
+                       esac
+                       PID_F=$RUN_D/p910${port}d.pid
+                       [ -f $PID_F ] && kill $(cat $PID_F)
+               done
+       ) < $DEFAULT
 }
 
-case $1 in
- start)
-  _start
-  ;;
- stop)
-  _stop
-  ;;
- *)
-  echo "usage: $0 (start|stop)"
-  exit 1
-esac
-exit $?